--- old/usr/src/uts/common/io/comstar/port/iscsit/iscsit.c	2014-05-05 11:11:12.544206621 -0400
+++ new/usr/src/uts/common/io/comstar/port/iscsit/iscsit.c	2014-05-05 11:11:12.550001172 -0400
@@ -21,7 +21,7 @@
 /*
  * Copyright (c) 2008, 2010, Oracle and/or its affiliates. All rights reserved.
  *
- * Copyright 2013 Nexenta Systems, Inc. All rights reserved.
+ * Copyright 2014 Nexenta Systems, Inc. All rights reserved.
  */
 
 #include <sys/cpuvar.h>
@@ -3125,7 +3125,7 @@
 		 * staging queue, the commands are processed out of the
 		 * queue in cmdSN order only.
 		 */
-		rx_pdu->isp_queue_time = ddi_get_time();
+		rx_pdu->isp_queue_time = gethrtime();
 		iscsit_add_pdu_to_queue(ist, rx_pdu);
 		mutex_exit(&ist->ist_sn_mutex);
 		return (ISCSIT_CMDSN_GT_EXPCMDSN);
@@ -3395,8 +3395,8 @@
 			 * stop scanning the staging queue until the timer
 			 * fires again
 			 */
-			if ((ddi_get_time() - next_pdu->isp_queue_time)
-			    < rxpdu_queue_threshold) {
+			if ((gethrtime() - next_pdu->isp_queue_time)
+			    < (rxpdu_queue_threshold * NANOSEC)) {
 				mutex_exit(&ist->ist_sn_mutex);
 				return;
 			}
